PlayCoffeeScriptCompile (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.play.tasks

## Class PlayCoffeeScriptCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile
          - - org.gradle.play.tasks.PlayCoffeeScriptCompile

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      @Incubating
      public class PlayCoffeeScriptCompile
      extends CoffeeScriptCompile

  Task for compiling CoffeeScript sources into JavaScript.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.tasks.SourceTask

      `source`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayCoffeeScriptCompile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doCompile()`
    `void` | `setCoffeeScriptJs(Object coffeeScriptJs)`
    `void` | `setCoffeeScriptJsNotation(String notation)`
    `void` | `setRhinoClasspathNotation(String notation)`

    - ### Methods inherited from class org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile

      `getCoffeeScriptJs, getDestinationDir, getOptions, getRhinoClasspath, getWorkerProcessBuilderFactory, options, options, setDestinationDir, setRhinoClasspath`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayCoffeeScriptCompile

          public PlayCoffeeScriptCompile()

  - ### Method Detail

    - #### setCoffeeScriptJsNotation

          public void setCoffeeScriptJsNotation(String notation)

    - #### setCoffeeScriptJs

          public void setCoffeeScriptJs(Object coffeeScriptJs)

      Overrides:
        `setCoffeeScriptJs` in class `CoffeeScriptCompile`

    - #### setRhinoClasspathNotation

          public void setRhinoClasspathNotation(String notation)

    - #### doCompile

          public void doCompile()

      Overrides:
        `doCompile` in class `CoffeeScriptCompile`